the external libs may change from version to version, so don't mak erules for this, always check what is needed